namespace Angelus.Oracle.Entity
{
    using System;

    /// <summary>
    /// Description of Error.
    /// </summary>
    internal static class Error
    {
        /// <summary>
        /// 
        /// </summary>
        /// <param name="parameterName"></param>
        /// <returns></returns>
        internal static Exception ArgumentNull(string parameterName)
        {
            throw new ArgumentNullException(parameterName);
        }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="version"></param>
        /// <returns></returns>
        internal static Exception ProviderNotSupported(string version)
        {
            throw new NotSupportedException(Strings.ProviderVersionNotSupported);
        }

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        internal static Exception ProviderManifestTokenNotFound()
        {
            throw new ArgumentException("DbProviderManifest argument: waiting for OracleProviderManifest, but {0} found");
        }

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        internal static Exception ProviderIncompatible()
        {
            throw new Exception();
        }
    }
}